One-time automations
List one-time automations
Lists the workspace’s one-time automations, newest first, each with its latest run. A one-time automation answers the matching comments already on one Instagram post, once.
GET
/
v1
/
workspaces
/
{workspace_id}
/
one-time-automations
List one-time automations
curl --request GET \
--url https://api.usereplier.com/v1/workspaces/{workspace_id}/one-time-automations \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.usereplier.com/v1/workspaces/{workspace_id}/one-time-automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.usereplier.com/v1/workspaces/{workspace_id}/one-time-automations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"workspace": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"kind": "personal",
"role": "owner"
},
"one_time_automations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"template": "comment_public_reply",
"name": "<string>",
"channel": "instagram",
"account": {
"account_id": "<string>",
"username": "<string>",
"profile_picture_url": "<string>"
},
"post": {
"id": "<string>",
"permalink": "<string>",
"caption": "<string>",
"image_url": "<string>",
"media_type": "<string>",
"posted_at": "<string>"
},
"keywords": [
"<string>"
],
"reply_messages": [
"<string>"
],
"reply_selection_mode": "random",
"created_at": "<string>",
"updated_at": "<string>",
"latest_run": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "scanning",
"phase": "scan",
"error": "<string>",
"exclude_previous": true,
"truncated": true,
"scanned_count": 4503599627370495,
"comment_total": 4503599627370495,
"keywords": [
"<string>"
],
"reply_messages": [
"<string>"
],
"reply_selection_mode": "random",
"counts": {
"matched": 4503599627370495,
"eligible": 4503599627370495,
"excluded": 4503599627370495,
"unselected": 4503599627370495,
"queued": 4503599627370495,
"sent": 4503599627370495,
"failed": 4503599627370495,
"cancelled": 4503599627370495
},
"created_at": "<string>",
"scan_finished_at": "<string>",
"send_started_at": "<string>",
"finished_at": "<string>"
}
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
A Replier API key (rpl_...).
Path Parameters
Workspace ID returned by GET /v1/workspaces
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$⌘I
List one-time automations
curl --request GET \
--url https://api.usereplier.com/v1/workspaces/{workspace_id}/one-time-automations \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.usereplier.com/v1/workspaces/{workspace_id}/one-time-automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.usereplier.com/v1/workspaces/{workspace_id}/one-time-automations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"workspace": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"kind": "personal",
"role": "owner"
},
"one_time_automations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"template": "comment_public_reply",
"name": "<string>",
"channel": "instagram",
"account": {
"account_id": "<string>",
"username": "<string>",
"profile_picture_url": "<string>"
},
"post": {
"id": "<string>",
"permalink": "<string>",
"caption": "<string>",
"image_url": "<string>",
"media_type": "<string>",
"posted_at": "<string>"
},
"keywords": [
"<string>"
],
"reply_messages": [
"<string>"
],
"reply_selection_mode": "random",
"created_at": "<string>",
"updated_at": "<string>",
"latest_run": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "scanning",
"phase": "scan",
"error": "<string>",
"exclude_previous": true,
"truncated": true,
"scanned_count": 4503599627370495,
"comment_total": 4503599627370495,
"keywords": [
"<string>"
],
"reply_messages": [
"<string>"
],
"reply_selection_mode": "random",
"counts": {
"matched": 4503599627370495,
"eligible": 4503599627370495,
"excluded": 4503599627370495,
"unselected": 4503599627370495,
"queued": 4503599627370495,
"sent": 4503599627370495,
"failed": 4503599627370495,
"cancelled": 4503599627370495
},
"created_at": "<string>",
"scan_finished_at": "<string>",
"send_started_at": "<string>",
"finished_at": "<string>"
}
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}